Package org.eclipse.lemminx.uriresolver

## Enum InvalidURIException.InvalidURIError

- java.lang.Object
- - java.lang.Enum<InvalidURIException.InvalidURIError>
  - - org.eclipse.lemminx.uriresolver.InvalidURIException.InvalidURIError

All Implemented Interfaces:
  `Serializable`, `Comparable<InvalidURIException.InvalidURIError>`

Enclosing class:
  InvalidURIException

    public static enum InvalidURIException.InvalidURIError
    extends Enum<InvalidURIException.InvalidURIError>

### Enum Constant Summary

Enum Constants
`ILLEGAL_SYNTAX`
`INSECURE_REDIRECTION`
`INVALID_PATH`
`UNSUPPORTED_PROTOCOL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getMessage​(Object... arguments)`
`static InvalidURIException.InvalidURIError` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static InvalidURIException.InvalidURIError[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ILLEGAL_SYNTAX

    public static final InvalidURIException.InvalidURIError ILLEGAL_SYNTAX

#### INVALID_PATH

    public static final InvalidURIException.InvalidURIError INVALID_PATH

#### UNSUPPORTED_PROTOCOL

    public static final InvalidURIException.InvalidURIError UNSUPPORTED_PROTOCOL

#### INSECURE_REDIRECTION

    public static final InvalidURIException.InvalidURIError INSECURE_REDIRECTION

### Method Detail

#### values

    public static InvalidURIException.InvalidURIError[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InvalidURIException.InvalidURIError c : InvalidURIException.InvalidURIError.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InvalidURIException.InvalidURIError valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getMessage

    public String getMessage​(Object... arguments)